"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCacheFileDetails = void 0;
function getCacheFileDetails(fileName) {
    let fileDetail = this.fileCache.get(fileName);
    if (fileDetail === undefined) {
        this.fileCache.set(fileName, fileDetail = {
            sourceFile: undefined,
            code: undefined,
            modules: undefined,
            emitFileValue: undefined,
        });
    }
    return fileDetail;
}
exports.getCacheFileDetails = getCacheFileDetails;
