"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDefaultLibLocation = void 0;
const typescript_1 = __importDefault(require("typescript"));
const path_1 = __importDefault(require("path"));
const normalizePath_1 = require("./utils/normalizePath");
const executingFilePath = (0, normalizePath_1.normalizePath)(path_1.default.dirname(typescript_1.default.sys.getExecutingFilePath()));
function getDefaultLibLocation() {
    return executingFilePath;
}
exports.getDefaultLibLocation = getDefaultLibLocation;
