"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.resolveModuleNames = void 0;
const typescript_1 = __importDefault(require("typescript"));
function resolveModuleNames(moduleNames, containingFile, reusedNames, redirectedReference, options, containingSourceFile) {
    var _a;
    const moduleCache = ((_a = this.getCacheFileDetails(containingFile)).modules || (_a.modules = {}));
    return moduleNames.map(moduleName => {
        return moduleCache[moduleName] || (moduleCache[moduleName] = typescript_1.default.nodeModuleNameResolver(moduleName, containingFile, this.configFileOptions.options, this, undefined, redirectedReference).resolvedModule);
    });
}
exports.resolveModuleNames = resolveModuleNames;
