"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDefaultLibFileName = void 0;
const typescript_1 = __importDefault(require("typescript"));
const path_1 = __importDefault(require("path"));
const normalizePath_1 = require("./utils/normalizePath");
function getDefaultLibFileName(options) {
    return (0, normalizePath_1.normalizePath)(path_1.default.join(this.getDefaultLibLocation(), typescript_1.default.getDefaultLibFileName(options)));
}
exports.getDefaultLibFileName = getDefaultLibFileName;
